OBElectronicTransitionData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBElectronicTransitionData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBElectronicTransitionData:
[legend]

List of all members.

## Public Member Functions
| OBElectronicTransitionData ()
virtual | ~OBElectronicTransitionData ()
virtual OBGenericData * | Clone (OBBase *) const
OBElectronicTransitionData & | operator= (const OBElectronicTransitionData &)
void | SetData (const std::vector< double > &wavelengths, const std::vector< double > &forces)
void | SetEDipole (const std::vector< double > &)
void | SetRotatoryStrengthsVelocity (const std::vector< double > &)
void | SetRotatoryStrengthsLength (const std::vector< double > &)
std::vector< double > | GetWavelengths () const
std::vector< double > | GetForces () const
std::vector< double > | GetEDipole () const
std::vector< double > | GetRotatoryStrengthsVelocity () const
std::vector< double > | GetRotatoryStrengthsLength () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::vector< double > | _vWavelengths
std::vector< double > | _vForces
std::vector< double > | _vEDipole
std::vector< double > | _vRotatoryStrengthsVelocity
std::vector< double > | _vRotatoryStrengthsLength
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold information about electronic transitions.

## Constructor & Destructor Documentation

OBElectronicTransitionData | ( |  | ) | `[inline]`

virtual ~OBElectronicTransitionData | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * |  | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

OBElectronicTransitionData& operator= | ( | const OBElectronicTransitionData & |  | ) |

void SetData | ( | const std::vector< double > & | vWavelengths,
|  | const std::vector< double > & | vForces
| ) |  |

Assign the basic excitation data.

Parameters:

  vWavelengths | Wavelengths in nm
  vForces | Oscillator strengths

void SetEDipole | ( | const std::vector< double > & | vEDipole | ) |

Assign the electronic dipole strengths.

Parameters:

  vEDipole | Electronic dipole moment strength

void SetRotatoryStrengthsVelocity | ( | const std::vector< double > & | vRotatoryStrengthsVelocity | ) |

Assign the rotatory strengths (velocity)

Parameters:

  vRotatoryStrengthsVelocity | Vector containing the rotatory strengths

void SetRotatoryStrengthsLength | ( | const std::vector< double > & | vRotatoryStrengthsLength | ) |

Assign the rotatory strengths (length)

Parameters:

  vRotatoryStrengthsLength | Vector containing the rotatory strengths

std::vector<double> GetWavelengths | ( |  | ) | const`[inline]`

std::vector<double> GetForces | ( |  | ) | const`[inline]`

std::vector<double> GetEDipole | ( |  | ) | const`[inline]`

std::vector<double> GetRotatoryStrengthsVelocity | ( |  | ) | const`[inline]`

std::vector<double> GetRotatoryStrengthsLength | ( |  | ) | const`[inline]`

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBPairData, and OBCommentData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::vector<double> _vWavelengths`[protected]`

Wavelengths (nm)

Referenced by OBElectronicTransitionData::SetData().

std::vector<double> _vForces`[protected]`

Oscillator strengths.

Referenced by OBElectronicTransitionData::SetData().

std::vector<double> _vEDipole`[protected]`

Electric dipole strengths.

Referenced by OBElectronicTransitionData::SetEDipole().

std::vector<double> _vRotatoryStrengthsVelocity`[protected]`

Rotatory strengths (velocity)

Referenced by OBElectronicTransitionData::SetRotatoryStrengthsVelocity().

std::vector<double> _vRotatoryStrengthsLength`[protected]`

Rotatory strengths (length)

Referenced by OBElectronicTransitionData::SetRotatoryStrengthsLength().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines